## rsem 1.3.0+dfsg

=== debian/changelog ===
rsem (1.3.0+dfsg-2) unstable; urgency=medium

  [ Katerina Kalou ]
  * Team upload.
  * Add autopkgtest
    Closes: #890782

  [ Andreas Tille ]
  * Upload to unstable
    Closes: #847569
  * Remove unused lintian-override
  * Drop unused License specification
  * Point Vcs-fields to Salsa
  * Standards-Version: 4.1.4

 -- Katerina Kalou <aik.kalou@gmail.com>  Fri, 25 May 2018 13:56:22 +0200

rsem (1.3.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * d/watch:
     - version=4
     - xz compression
  * remove code copy of samtools-1.3
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 20:34:37 +0100

=== debian/control ===
Source: rsem
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               zlib1g-dev,
               libncurses5-dev,
               libboost-dev,
               perl,
               python,
               help2man,
               libhts-dev,
# bowtie is a run-time dependency available on only a few systems, not actually
# needed for building but it prevents the creation of uninstallable packages
               bowtie | bowtie2
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/rsem
Vcs-Git: https://salsa.debian.org/med-team/rsem.git
Homepage: http://deweylab.biostat.wisc.edu/rsem/

Package: rsem
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         r-base-core,
         bowtie | bowtie2,
         python
Suggests: r-bioc-ebseq
Description: RNA-Seq by Expectation-Maximization
 RSEM is a software package for estimating gene and isoform expression
 levels from RNA-Seq data. The RSEM package provides an user-friendly
 interface, supports threads for parallel computation of the EM
 algorithm, single-end and paired-end read data, quality scores,
 variable-length reads and RSPD estimation. In addition, it provides
 posterior mean and 95% credibility interval estimates for expression
 levels. For visualization, It can generate BAM and Wiggle files in both
 transcript-coordinate and genomic-coordinate. Genomic-coordinate files
 can be visualized by both UCSC Genome browser and Broad Institute’s
 Integrative Genomics Viewer (IGV). Transcript-coordinate files can be
 visualized by IGV. RSEM also has its own scripts to generate transcript
 read depth plots in pdf format. The unique feature of RSEM is, the read
 depth plots can be stacked, with read depth contributed to unique reads
 shown in black and contributed to multi-reads shown in red. In addition,
 models learned from data can also be visualized. Last but not least,
 RSEM contains a simulator.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- BOOST=/usr/include prefix=debian/tmp
	for prog in convert-sam-for-rsem rsem-calculate-expression \
		rsem-control-fdr rsem-generate-ngvector \
		rsem-plot-transcript-wiggles rsem-prepare-reference \
		rsem-run-ebseq; do pod2man $${prog} debian/$${prog}.1; done
	help2man ./rsem-gff3-to-gtf --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
		--name 'Convert GFF3 files to GTF files.' > \
		debian/rsem-gff3-to-gtf.1
	help2man ./rsem-bam2wig --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
		--name 'Convert BAM files to wiggle files.' > \
		debian/rsem-bam2wig.1
	help2man ./rsem-simulate-reads --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
		--name 'Simulate RNA-Seq data ("reads") for a given model and a RSEM reference transcript collection.' > \
		debian/rsem-simulate-reads.1

override_dh_auto_install:
	#find . -maxdepth 1 -type f -perm /u+x | xargs -n 1 -I{} dh_install {} /usr/bin/
	dh_install rsem_perl_utils.pm /usr/share/perl5
	dh_auto_install -- BOOST=/usr/include prefix="/usr"

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## rsem 1.3.1+dfsg

=== debian/changelog ===
rsem (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Fix Perl interpreter path
  * Remove unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 21:41:44 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
 Homepage: http://deweylab.biostat.wisc.edu/rsem/

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/bli25wisc/rsem/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## rsem 1.3.2+dfsg

=== debian/changelog ===
rsem (1.3.2+dfsg-2) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #938415
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2019 11:39:48 +0200

rsem (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 21:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
                libncurses5-dev,
                libboost-dev,
                perl,
-               python,
+               python3,
                help2man,
                libhts-dev,
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
 Homepage: http://deweylab.biostat.wisc.edu/rsem/
@@ -27,7 +27,7 @@
          ${perl:Depends},
          r-base-core,
          bowtie | bowtie2,
-         python
+         python3
 Suggests: r-bioc-ebseq
 Description: RNA-Seq by Expectation-Maximization
  RSEM is a software package for estimating gene and isoform expression

## rsem 1.3.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
                zlib1g-dev,
                libncurses5-dev,
                libboost-dev,
-               perl,
-               python3,
+               perl <!nocheck>,
+               python3:any,
                help2man,
                libhts-dev,
+               hisat2 <!nocheck>,
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
-Homepage: http://deweylab.biostat.wisc.edu/rsem/
+Homepage: http://deweylab.github.io/RSEM/
 
 Package: rsem
 Architecture: any
@@ -28,7 +29,7 @@
          r-base-core,
          bowtie | bowtie2,
          python3
-Suggests: r-bioc-ebseq
+Suggests: r-bioc-ebseq, hisat2
 Description: RNA-Seq by Expectation-Maximization
  RSEM is a software package for estimating gene and isoform expression
  levels from RNA-Seq data. The RSEM package provides an user-friendly

## rsem 1.3.3+dfsg

=== Makefile ===
SAMTOOLS = samtools-1.3
HTSLIB = htslib-1.3

ifneq ($(cygwin), true)
  SAMTOOLS_MAKEFILE = Makefile
else
  SAMTOOLS_MAKEFILE = Makefile.cygwin
endif

# overridable, defaulting to local copy
BOOST = .

# Compilation variables
CXX = g++
CXXFLAGS = -std=gnu++98 -Wall -I. -I$(BOOST) -I$(SAMTOOLS)/$(HTSLIB)
CPPFLAGS =

LDFLAGS =
LDLIBS =

# Installation variables
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR = $(INSTALL) -d
STRIP ?=strip

prefix ?= /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin

# Auxiliary variables for compilation
SAMHEADERS = $(SAMTOOLS)/$(HTSLIB)/htslib/sam.h
SAMLIBS = $(SAMTOOLS)/$(HTSLIB)/libhts.a
CONFIGURE = ./configure

OBJS1 = parseIt.o
OBJS2 = extractRef.o synthesisRef.o preRef.o buildReadIndex.o wiggle.o tbam2gbam.o bam2wig.o bam2readdepth.o getUnique.o samValidator.o scanForPairedEndReads.o SamHeader.o
OBJS3 = EM.o Gibbs.o calcCI.o simulation.o

PROGS1 = rsem-extract-reference-transcripts rsem-synthesis-reference-transcripts rsem-preref rsem-build-read-index rsem-simulate-reads
PROGS2 = rsem-parse-alignments rsem-run-em rsem-tbam2gbam rsem-bam2wig rsem-bam2readdepth rsem-get-unique rsem-sam-validator rsem-scan-for-paired-end-reads
PROGS3 = rsem-run-gibbs rsem-calculate-credibility-intervals

PROGRAMS = $(PROGS1) $(PROGS2) $(PROGS3)

# Auxiliary variables for installation
SCRIPTS = rsem-prepare-reference rsem-calculate-expression rsem-refseq-extract-primary-assembly rsem-gff3-to-gtf rsem-plot-model \
	  rsem-plot-transcript-wiggles rsem-gen-transcript-plots rsem-generate-data-matrix \
	  extract-transcript-to-gene-map-from-trinity convert-sam-for-rsem    




.PHONY : all ebseq pRSEM clean

all : $(PROGRAMS) $(SAMTOOLS)/samtools

$(SAMTOOLS)/samtools :
	cd $(SAMTOOLS) && $(CONFIGURE) --without-curses && $(MAKE) -f $(SAMTOOLS_MAKEFILE) samtools

$(SAMLIBS) : $(SAMTOOLS)/samtools


# Compile objects
$(OBJS1) :
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -O2 -c -o $@ $<

$(OBJS2) :
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -O3 -c -o $@ $<

$(OBJS3) :
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -O3 -ffast-math -c -o $@ $<


# Generate executables
$(PROGS1) :
	$(CXX) $(LDFLAGS) -o $@ $^ $(LDLIBS)

$(PROGS2) :
	$(CXX) $(LDFLAGS) -pthread -o $@ $^ $(LDLIBS) -lz

$(PROGS3) :
	$(CXX) $(LDFLAGS) -pthread -o $@ $^ $(LDLIBS)


# Dependencies for executables
rsem-extract-reference-transcripts : extractRef.o
rsem-synthesis-reference-transcripts : synthesisRef.o
rsem-preref : preRef.o
rsem-build-read-index : buildReadIndex.o
rsem-simulate-reads : simulation.o

rsem-parse-alignments : parseIt.o $(SAMLIBS)
rsem-run-em : EM.o SamHeader.o $(SAMLIBS)
rsem-tbam2gbam : tbam2gbam.o SamHeader.o $(SAMLIBS)
rsem-bam2wig : bam2wig.o wiggle.o $(SAMLIBS)
rsem-bam2readdepth : bam2readdepth.o wiggle.o $(SAMLIBS)
rsem-get-unique : getUnique.o $(SAMLIBS)
rsem-sam-validator : samValidator.o $(SAMLIBS)
rsem-scan-for-paired-end-reads : scanForPairedEndReads.o $(SAMLIBS)

rsem-run-gibbs : Gibbs.o
rsem-calculate-credibility-intervals : calcCI.o

# Dependencies for objects
parseIt.o : parseIt.cpp $(SAMHEADERS) sam_utils.h utils.h my_assert.h GroupInfo.h Transcripts.h Read.h SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h SingleHit.h PairedEndHit.h HitContainer.h SamParser.h

extractRef.o : extractRef.cpp utils.h my_assert.h GTFItem.h Transcript.h Transcripts.h
synthesisRef.o : synthesisRef.cpp utils.h my_assert.h Transcript.h Transcripts.h
preRef.o : preRef.cpp utils.h RefSeq.h Refs.h PolyARules.h RefSeqPolicy.h AlignerRefSeqPolicy.h
buildReadIndex.o : buildReadIndex.cpp utils.h
wiggle.o: wiggle.cpp $(SAMHEADERS) sam_utils.h utils.h my_assert.h wiggle.h
tbam2gbam.o : tbam2gbam.cpp $(SAMHEADERS) utils.h Transcripts.h Transcript.h BamConverter.h sam_utils.h SamHeader.hpp my_assert.h bc_aux.h
bam2wig.o : bam2wig.cpp utils.h my_assert.h wiggle.h
bam2readdepth.o : bam2readdepth.cpp utils.h my_assert.h wiggle.h
getUnique.o : getUnique.cpp $(SAMHEADERS) sam_utils.h utils.h 
samValidator.o : samValidator.cpp $(SAMHEADERS) sam_utils.h utils.h my_assert.h
scanForPairedEndReads.o : scanForPairedEndReads.cpp $(SAMHEADERS) sam_utils.h utils.h my_assert.h 
SamHeader.o : SamHeader.cpp $(SAMHEADERS) SamHeader.hpp 

EM.o : EM.cpp $(SAMHEADERS) utils.h my_assert.h Read.h SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h SingleHit.h PairedEndHit.h Model.h SingleModel.h SingleQModel.h PairedEndModel.h PairedEndQModel.h Refs.h GroupInfo.h HitContainer.h ReadIndex.h ReadReader.h Orientation.h LenDist.h RSPD.h QualDist.h QProfile.h NoiseQProfile.h ModelParams.h RefSeq.h RefSeqPolicy.h PolyARules.h Profile.h NoiseProfile.h Transcript.h Transcripts.h HitWrapper.h BamWriter.h simul.h sam_utils.h SamHeader.hpp sampling.h $(BOOST)/boost/random.hpp WriteResults.h
Gibbs.o : Gibbs.cpp utils.h my_assert.h $(BOOST)/boost/random.hpp sampling.h simul.h Read.h SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h SingleHit.h PairedEndHit.h ReadIndex.h ReadReader.h Orientation.h LenDist.h RSPD.h QualDist.h QProfile.h NoiseQProfile.h Profile.h NoiseProfile.h ModelParams.h Model.h SingleModel.h SingleQModel.h PairedEndModel.h PairedEndQModel.h RefSeq.h RefSeqPolicy.h PolyARules.h Refs.h GroupInfo.h WriteResults.h 
calcCI.o : calcCI.cpp utils.h my_assert.h $(BOOST)/boost/random.hpp sampling.h simul.h Read.h SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h SingleHit.h PairedEndHit.h ReadIndex.h ReadReader.h Orientation.h LenDist.h RSPD.h QualDist.h QProfile.h NoiseQProfile.h Profile.h NoiseProfile.h ModelParams.h Model.h SingleModel.h SingleQModel.h PairedEndModel.h PairedEndQModel.h RefSeq.h RefSeqPolicy.h PolyARules.h Refs.h GroupInfo.h WriteResults.h Buffer.h 
simulation.o : simulation.cpp utils.h Read.h SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h Model.h SingleModel.h SingleQModel.h PairedEndModel.h PairedEndQModel.h Refs.h RefSeq.h GroupInfo.h Transcript.h Transcripts.h Orientation.h LenDist.h RSPD.h QualDist.h QProfile.h NoiseQProfile.h Profile.h NoiseProfile.h simul.h $(BOOST)/boost/random.hpp WriteResults.h

# Dependencies for header files
Transcript.h : utils.h
Transcripts.h : utils.h my_assert.h Transcript.h
BowtieRefSeqPolicy.h : RefSeqPolicy.h
RefSeq.h : utils.h
Refs.h : utils.h RefSeq.h RefSeqPolicy.h PolyARules.h
SingleRead.h : Read.h
SingleReadQ.h : Read.h
PairedEndRead.h : Read.h SingleRead.h
PairedEndReadQ.h : Read.h SingleReadQ.h
PairedEndHit.h : SingleHit.h
HitContainer.h : GroupInfo.h
sam_utils.h : $(SAMHEADERS) Transcript.h Transcripts.h
SamParser.h : $(SAMHEADERS) sam_utils.h utils.h my_assert.h SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h SingleHit.h PairedEndHit.h Transcripts.h
simul.h : $(BOOST)/boost/random.hpp
ReadReader.h : SingleRead.h SingleReadQ.h PairedEndRead.h PairedEndReadQ.h ReadIndex.h
SingleModel.h : utils.h my_assert.h Orientation.h LenDist.h RSPD.h Profile.h NoiseProfile.h ModelParams.h RefSeq.h Refs.h SingleRead.h SingleHit.h ReadReader.h simul.h
SingleQModel.h : utils.h my_assert.h Orientation.h LenDist.h RSPD.h QualDist.h QProfile.h NoiseQProfile.h ModelParams.h RefSeq.h Refs.h SingleReadQ.h SingleHit.h ReadReader.h simul.h
PairedEndModel.h : utils.h my_assert.h Orientation.h LenDist.h RSPD.h Profile.h NoiseProfile.h ModelParams.h RefSeq.h Refs.h SingleRead.h PairedEndRead.h PairedEndHit.h ReadReader.h simul.h 
PairedEndQModel.h : utils.h my_assert.h Orientation.h LenDist.h RSPD.h QualDist.h QProfile.h NoiseQProfile.h ModelParams.h RefSeq.h Refs.h SingleReadQ.h PairedEndReadQ.h PairedEndHit.h ReadReader.h simul.h
HitWrapper.h : HitContainer.h
BamWriter.h : $(SAMHEADERS) sam_utils.h SamHeader.hpp utils.h my_assert.h SingleHit.h PairedEndHit.h HitWrapper.h Transcript.h Transcripts.h
sampling.h : $(BOOST)/boost/random.hpp
WriteResults.h : utils.h my_assert.h GroupInfo.h Transcript.h Transcripts.h RefSeq.h Refs.h Model.h SingleModel.h SingleQModel.h PairedEndModel.h PairedEndQModel.h
bc_aux.h : $(SAMHEADERS)
BamConverter.h : $(SAMHEADERS) sam_utils.h SamHeader.hpp utils.h my_assert.h bc_aux.h Transcript.h Transcripts.h
Buffer.h : my_assert.h
SamHeader.hpp : $(SAMHEADERS)

# Compile EBSeq
ebseq :
	cd EBSeq && $(MAKE) all

# Compile pRSEM
pRSEM :
	cd pRSEM && $(MAKE) all


# Install RSEM
install : $(PROGRAMS) $(SCRIPTS) $(SAMTOOLS)/samtools rsem_perl_utils.pm
	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(bindir)/$(SAMTOOLS)
	$(foreach prog,$(PROGRAMS),$(INSTALL_PROGRAM) $(prog) $(DESTDIR)$(bindir)/$(prog) ; $(STRIP) $(DESTDIR)$(bindir)/$(prog) ;)
	$(INSTALL_PROGRAM) $(SAMTOOLS)/samtools $(DESTDIR)$(bindir)/$(SAMTOOLS)/samtools
	$(STRIP) $(DESTDIR)$(bindir)/$(SAMTOOLS)/samtools
	$(foreach script,$(SCRIPTS),$(INSTALL_PROGRAM) $(script) $(DESTDIR)$(bindir)/$(script) ;)
	$(INSTALL_DATA) rsem_perl_utils.pm $(DESTDIR)$(bindir)/rsem_perl_utils.pm

# Clean
clean :
	rm -f *.o *~ $(PROGRAMS)
	cd $(SAMTOOLS) && $(MAKE) clean-all
	cd EBSeq && $(MAKE) clean
	cd pRSEM && $(MAKE) clean

=== EBSeq/Makefile ===
CXX = g++
PROGRAMS = EBSeq rsem-for-ebseq-calculate-clustering-info
DEPENDENCIES = blockmodeling gplots gtools gdata caTools bitops KernSmooth

.PHONY : all EBSeq clean

all : $(PROGRAMS)

EBSeq : 
	./install

rsem-for-ebseq-calculate-clustering-info : calcClusteringInfo.cpp
	$(CXX) -O3 -Wall calcClusteringInfo.cpp -o $@

clean : 
	rm -rf $(PROGRAMS) $(DEPENDENCIES) BiocInstaller *~

=== pRSEM/Makefile ===
CXX = g++

SAMTOOLS = ../samtools-1.3
HTSLIB = htslib-1.3
SAMLIBS = $(SAMTOOLS)/$(HTSLIB)/libhts.a

PROGRAMS = bigWigSummary RLib filterSam2Bed

.PHONY : all clean

all : $(PROGRAMS)

OS := $(shell uname)
ifeq ($(OS), Darwin)
  UCSCEXEDIR = http://hgdownload.cse.ucsc.edu/admin/exe/macOSX.x86_64
endif
ifeq ($(OS), Linux)
	  UCSCEXEDIR = http://hgdownload.cse.ucsc.edu/admin/exe/linux.x86_64.v287
endif

bigWigSummary : 
	if [ ! -e "bigWigSummary" ]; then \
  curl -O $(UCSCEXEDIR)/bigWigSummary; \
  chmod +x bigWigSummary; \
  fi

RLib : installRLib.R
	if [ ! -d "RLib" ]; then mkdir RLib/; fi; \
  cd RLib/; Rscript ../installRLib.R 

filterSam2Bed : filterSam2Bed.c $(SAMTOOLS)/libbam.a $(SAMLIBS)
	$(CXX) $@.c $(SAMTOOLS)/libbam.a $(SAMLIBS) -lz -lpthread -I$(SAMTOOLS) -I$(SAMTOOLS)/$(HTSLIB) -o $@

clean :
	rm -fr $(PROGRAMS) *.pyc

=== pRSEM/phantompeakqualtools/spp_1.10.1_on_R3.2/DESCRIPTION ===
Package: spp
Type: Package
Title: some description
Version: 1.0
Date: 2008-11-10
Author: Peter K
Depends: caTools
Maintainer: peterK<peterk@compbio.med.harvard.edu>
Description: Describe the package
License: GPL-2
LazyLoad: yes
Packaged: Wed Nov 12 10:42:54 2008; vidhuch

=== debian/changelog ===
rsem (1.3.3+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libhts3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:53:55 +0100

rsem (1.3.3+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix salca-ci since i386 is explicitly excluded by Build-Depends: bowtie2

  [ Étienne Mollier ]
  * stdgnu++11.patch: new: fix ftbfs with boost1.83.
    boost1.83 looks to require building with gnu++11, but upstream
    codebase is still at gnu++98 for now, hence the nature of the patch.
    (Closes: #1056010)
  * d/control: declare compliance to standards version 4.6.2.
  * d/control: build depend on libncurses-dev.
    This replaces the obsolete libncurses5-dev.

 -- Étienne Mollier <emollier@debian.org>  Mon, 18 Dec 2023 13:58:36 +0100

rsem (1.3.3+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 08:01:13 +0200

rsem (1.3.3+dfsg-1) unstable; urgency=medium

  * Update homepage
  * New upstream version, added hisat2 mode
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 15:49:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: rsem
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libboost-dev,
                perl <!nocheck>,
                python3:any,
@@ -16,10 +16,11 @@
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
-Homepage: http://deweylab.github.io/RSEM/
+Homepage: https://deweylab.github.io/RSEM/
+Rules-Requires-Root: no
 
 Package: rsem
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/bli25wisc/rsem/tags (?:.*?/)?v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
